var fs = require('fs');
var path = require('path');
var rootdir = process.argv[2];

console.log("res_colleague move config " + rootdir)

if (rootdir) {

    moveConfig();

    function moveConfig() {
        try {
            var litePalPath = path.join(rootdir, '../platforms/android/assets/litepal.xml');
            var source = path.join(rootdir, '../config/litepal.xml');
            console.log("res_colleague litepal source path " + source)
            console.log("res_colleague litepal dirs path " + litePalPath)
            if (fs.existsSync(litePalPath)) {
                console.log("res_colleague litepal dirs exits")
            } else {
                copy(source , litePalPath)
                console.log("litePalPath litepal dirs copy")
            }

            var fulldbPath = path.join(rootdir, '../platforms/android/assets/db/locations.db');
            var fulldbPathDir = path.join(rootdir, '../platforms/android/assets/db');

            var sourcebd = path.join(rootdir, '../config/locations.db');
            console.log("res_colleague db source path " + sourcebd)
            console.log("res_colleague db dirs path " + fulldbPath)
            if (fs.existsSync(fulldbPath)) {
                console.log("res_colleague db dirs exits")
            } else {
                if (!fs.existsSync(fulldbPathDir)) {
                    fs.mkdirSync(fulldbPathDir)
                }
                copy(sourcebd , fulldbPath)
                console.log("fullfilenPath db dirs copy")
            }

            var fullRawPath = path.join(rootdir, '../platforms/android/res/raw/expression_config.xml');
            var fullRawPathDir = path.join(rootdir, '../platforms/android/res/raw');
            var sourceRaw = path.join(rootdir, '../config/expression_config.xml');

            console.log("res_colleague raw source path " + sourceRaw)
            console.log("res_colleague raw dirs path " + fullRawPath)
            if (fs.existsSync(fullRawPath)) {
                console.log("res_colleague raw dirs exits")
            } else {
                if (!fs.existsSync(fullRawPathDir)) {
                    fs.mkdirSync(fullRawPathDir)
                }
                copy(sourceRaw , fullRawPath)
                console.log("fullfilenPath raw dirs copy")
            }

            var fullConfigPath = path.join(rootdir, '../platforms/android/res/raw/config.xml');
            var fullConfigPathDir = path.join(rootdir, '../platforms/android/res/raw');
            var sourceConfig = path.join(rootdir, '../config/config.xml');

            console.log("res_colleague raw source path " + sourceConfig)
            console.log("res_colleague raw dirs path " + fullConfigPath)
            if (fs.existsSync(fullConfigPath)) {
                console.log("res_colleague config.xml dirs exits")
            } else {
                if (!fs.existsSync(fullConfigPathDir)) {
                    fs.mkdirSync(fullConfigPathDir)
                }
                copy(sourceConfig , fullConfigPath)
                console.log("res_colleague config.xml dirs copy")
            }


        } catch (e) {
            console.log(e)
        }
    }


    function copy(src, dst) {
        fs.writeFileSync(dst, fs.readFileSync(src));
    }
}

